
%if 0%{?fedora} > 6
%define kdelibs3 kdelibs3
%else
%define kdelibs3 kdelibs
BuildRequires: libutempter-devel
%endif

%if 0%{?fedora} > 8
# see http://bugzilla.redhat.com/452392
%define nuke_kdegraphics4_conflicts 1
%endif

Name:		libkdcraw
Version:	0.1.8
Release:	1%{?dist}
Summary:	A library for decoding RAW picture files

Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://www.kipi-plugins.org/
Source0:	http://downloads.sourceforge.net/kipi/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	%{kdelibs3}-devel
BuildRequires:	gettext
BuildRequires: 	lcms-devel
BuildRequires:	pkgconfig

%description
Libkdcraw is a C++ interface around LibRaw library used to decode RAW
picture files.

This library is used by kipi-plugins, digiKam and others kipi host programs.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains the libraries, include files and other resources
needed to develop applications using %{name}.

%prep
%setup -q

%build
unset QTDIR || : ; . %{_sysconfdir}/profile.d/qt.sh

%configure \
	--disable-rpath \
	--disable-debug \
	--disable-dependency-tracking \
	--enable-final \
	--enable-new-ldflags \
	--disable-warnings

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_libdir}/libkdcraw.la
%if 0%{?nuke_kdegraphics4_conflicts}
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor
%endif


%post
/sbin/ldconfig
%if ! 0%{?nuke_kdegraphics4_conflicts}
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
%endif

%postun
/sbin/ldconfig
%if ! 0%{?nuke_kdegraphics4_conflicts}
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libkdcraw.so.4*
%if ! 0%{?nuke_kdegraphics4_conflicts}
%{_datadir}/icons/hicolor/*/*/*
%endif

%files devel
%defattr(-,root,root,-)
%{_includedir}/libkdcraw/
%{_libdir}/pkgconfig/libkdcraw.pc
%{_libdir}/libkdcraw.so


%changelog
* Tue Mar 17 2009 Rex Dieter <rdieter@fedoraproject.org> 0.1.8-1
= libkdcraw-0.1.8

* Tue Nov 11 2008 Rex Dieter <rdieter@fedoraproject.org> 0.1.6-2
- update %%description
- nuke_icons -> nuke_kdegraphics4_conflicts

* Sun Oct 12 2008 Rex Dieter <rdieter@fedoraproject.org> 0.1.6-1
- libkdcraw-0.1.6

* Tue Jun 24 2008 Rex Dieter <rdieter@fedoraproject.org> 0.1.4-2
- fix conflicts with kdegraphics (f9+, #452392)

* Wed Mar 12 2008 Rex Dieter <rdieter@fedoraproject.org> 0.1.4-1
- libkdcraw-0.1.4

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1.3-2
- Autorebuild for GCC 4.3

* Fri Dec 28 2007 Marcin Garski <mgarski[AT]post.pl> 0.1.3-1
- Update to 0.1.3

* Sun Dec 09 2007 Marcin Garski <mgarski[AT]post.pl> 0.1.2-2
- BR: kdelibs3-devel

* Tue Sep 18 2007 Marcin Garski <mgarski[AT]post.pl> 0.1.2-1
- Update to 0.1.2

* Fri Aug 31 2007 Marcin Garski <mgarski[AT]post.pl> 0.1.1-3
- Fix license tag

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.1.1-2
- Rebuild for selinux ppc32 issue.

* Tue Jun 19 2007 Marcin Garski <mgarski[AT]post.pl> 0.1.1-1
- Update to libkdcraw-0.1.1 (#244872)
- Spec fixes by Rex Dieter

* Tue May 29 2007 Marcin Garski <mgarski[AT]post.pl> 0.1.0-2
- Add pkgconfig as devel Requires
- Change Source0 URL

* Tue May 08 2007 Marcin Garski <mgarski[AT]post.pl> 0.1.0-1
- Initial specfile
